%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define modn   cryptography
%define modv   0.7.2


Summary:       Cryptographic recipes and primitives for Python
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       APLv2 or BSD
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/c/%{modn}/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-0.7.2-build.patch
Patch1:        %{modn}-0.7.2-tests.patch
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        The Cryptography Developers <cryptography-dev@python.org>
Provides:      python(%{modn}) = %{modv}
Provides:      python(%{modn}.hazmat) = %{modv}
Provides:      python(%{modn}.hazmat.backends) = %{modv}
Provides:      python(%{modn}.hazmat.backends.commoncrypto) = %{modv}
Provides:      python(%{modn}.hazmat.backends.openssl) = %{modv}
Provides:      python(%{modn}.hazmat.bindings) = %{modv}
Provides:      python(%{modn}.hazmat.bindings.commoncrypto) = %{modv}
Provides:      python(%{modn}.hazmat.bindings.openssl) = %{modv}
Provides:      python(%{modn}.hazmat.primitives) = %{modv}
Provides:      python(%{modn}.hazmat.primitives.asymmetric) = %{modv}
Provides:      python(%{modn}.hazmat.primitives.ciphers) = %{modv}
Provides:      python(%{modn}.hazmat.primitives.kdf) = %{modv}
Provides:      python(%{modn}.hazmat.primitives.twofactor) = %{modv}
Requires:      python-cffi >= 0.8 python-six >= 1.4.1
Requires:      python-enum34 python-pyasn1
BuildRequires: python2-devel >= 2.6 python-setuptools
BuildRequires: python-cryptography_vectors = %{modv}
BuildRequires: python-cffi >= 0.8 python-six >= 1.4.1
BuildRequires: python-enum34 python-pyasn1 openssl-devel
BuildRequires: python-pytest python-iso8601 python-pretend


%description
Cryptography provides cryptographic recipes and primitives to Python.
It includes both high level recipes, and low level interfaces to common
cryptographic algorithms such as symmetric ciphers, message digests and
key derivation functions.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1
%patch1 -p1


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%check
%{__python2} setup.py test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS* CHANGELOG* CONTRIBUTING* LICENSE* README*
%doc --parents docs/{development,hazmat,*.rst}
%{python2_sitearch}/%{modn}
%{python2_sitearch}/*.egg-info


%changelog
* Mon Feb 16 2015 Peter Pramberger <peterpramb@member.fsf.org> - 0.7.2-1
- Initial build
